package xmldb;

/**
 * <p>This class contains a single table entry.</p>
 *
 * <p>XML Technologies WS 15/16 - Assignments<br/>
 * Workgroup DBIS, University of Konstanz</p>
 */
class Node extends Constants {
  /** Content. */
  String content;
  /** Node kind. */
  Kind kind;
  /** Attributes. */
  Attributes atts;
  /** Parent value. */
  int parent;

  /**
   * Constructor.
   * @param token token (tag name, content)
   * @param kind node kind
   * @param parent parent reference
   * @param atts element attributes
   */
  Node(String token, Kind kind, int parent, Attributes atts) {
    this.content = token;
    this.kind = kind;
    this.parent = parent;
    this.atts = atts;
  }
  
  /**
   * Returns a string representation of the node.
   * @return string
   */
  @Override
  public String toString() {
    return "Node[Content:" + content + ", Kind:" + kind + "]";
  }
}
