package xmldb;

/**
 * <p>The XMLParserEvents defines the functions which the
 * {@link XMLParser} sends for starting &amp; ending elements
 * and XML contents.</p>
 *
 * <p>XML Technologies WS 15/16 - Assignments<br/>
 * Workgroup DBIS, University of Konstanz</p>
 */
interface ParserEvents {
  /**
   * Notifies the attached class that an element has been opened.
   * @param name current tag name
   * @param atts current attributes
   **/
  void startElement(String name, Attributes atts);

  /**
   * Notifies the attached class that an element has been closed.
   * @param name current tag name
   */
  void endElement(String name);

  /**
   * Notifies the attached class that a content has been found.
   * @param content current content
   */
  void characters(String content);
}
